> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a file

> Downloads the file identified by the `id` path parameter for the registration identified by the `registrationId` path parameter.

<Warning>
  Supported only for registrations in company creation flow (`legal_flow` = `company_creation`).
</Warning>




## OpenAPI

````yaml get /register/registrations/{registrationId}/files/{id}/download
openapi: 3.0.3
info:
  title: Onboarding API
  version: '1.0'
  license:
    name: Proprietary
    url: https://qonto.com/terms
servers:
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox
  - url: https://onboarding-partners.qonto.com
    description: Production
security:
  - apiKey: []
    qontoPartnerId: []
tags:
  - name: Registrations
    description: Endpoints for Registration resource
  - name: Files
    description: Endpoints for file management throughout the company creation process.
  - name: Webhooks
    description: Endpoints to configure webhook to be notified about registration progress.
paths:
  /register/registrations/{registrationId}/files/{id}/download:
    get:
      tags:
        - Files
      summary: Download a file
      description: >
        Downloads the file identified by the `id` path parameter for the
        registration identified by the `registrationId` path parameter.


        <Warning>
          Supported only for registrations in company creation flow (`legal_flow` = `company_creation`).
        </Warning>
      operationId: files/download/get
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: id
          description: id of the File resource
          in: path
          required: true
          schema:
            type: string
          example: a3818b4d-4240-4098-bae4-87124b5add31
        - name: registrationId
          description: id of the Registration resource
          in: path
          required: true
          schema:
            type: string
          example: 63647ae1-eeb0-4294-9bf0-65e1d9d0db66
      responses:
        '302':
          $ref: '#/components/responses/302-redirect'
        '400':
          $ref: '#/components/responses/400-bad-request'
        '401':
          $ref: '#/components/responses/401-unauthorized'
        '404':
          $ref: '#/components/responses/404-not-found'
        '500':
          $ref: '#/components/responses/500-internal-servor-error'
      security:
        - apiKey: []
          qontoPartnerId: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  responses:
    302-redirect:
      description: Returns the location of the file identified by the `id` path parameter.
      headers:
        Location:
          description: URL to download the file.
          schema:
            type: string
      content:
        text/html:
          schema:
            example: >-
              <html><body>You are being <a href=\"Redirection
              link\">redirected</a>.</body></html>
    400-bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
    401-unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/unauthorized'
    404-not-found:
      description: >-
        Returns a not found error if the specified resource was not found or
        does not belong to the authenticated partner.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errors'
          examples:
            Example:
              $ref: '#/components/examples/not-found'
    500-internal-servor-error:
      description: Returns an internal server error.
  schemas:
    errors:
      title: Errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                readOnly: true
              detail:
                type: string
                readOnly: true
              source:
                type: object
                properties:
                  pointer:
                    type: string
                readOnly: true
            required:
              - code
              - detail
  examples:
    unauthorized:
      value:
        errors:
          - code: unauthorized
            detail: You must authenticate to perform API requests
    not-found:
      value:
        errors:
          - code: not_found
            detail: The record identified by <uuid> could not be found.
  securitySchemes:
    apiKey:
      type: http
      description: >
        Bearer authorization header: `Bearer <token>`.

        To get your `<token>`, please sign up to the [Developer
        Portal](https://developers.qonto.com/).
      scheme: bearer
      bearerFormat: JWT
    qontoPartnerId:
      type: apiKey
      description: >
        API Key authorization header: `Qonto-Partner-Id: <partner_id>`.

        To get your `<partner_id>` please, sign up to the [Developer
        Portal](https://developers.qonto.com/).
      name: Qonto-Partner-Id
      in: header

````